Package org.eclipse.m2m.atl.common

# Interface ATLLaunchConstants

public interface ATLLaunchConstants
This interface contains the common constants used for launch ATL transformations in the Eclipse UI.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATL_COMPILER`
ATL Compiler.
`static final String[]`
`ATL_EXTENSIONS`
ATL extensions.
`static final String`
`ATL_FILE_NAME`
ATL File Name.
`static final String`
`ATL_ICON_PATH`
ATL icon path.
`static final String`
`ATL_VM`
ATL VM name.
`static final String`
`DEFAULT_COMPILER_VERSION`
The ATL default compiler version.
`static final String`
`DEFAULT_MODEL_HANDLER_NAME`
Default model handler name.
`static final int`
`DEFAULT_PORT`
Default debug port.
`static final String`
`DELETE_ICON_PATH`
Delete icon path.
`static final String`
`EMF_VM_NAME`
EMF VM name, for default values.
`static final String`
`EMFTVM_NAME`
EMF VM name, for default values.
`static final String`
`HOST`
Debug host.
`static final String`
`INPUT`
Input models.
`static final String`
`IS_REFINING`
Output model.
`static final String`
`LAUNCH_CONFIGURATION_TYPE`
ATL launch type.
`static final String`
`LIBS`
Libraries map.
`static final String`
`METAMODEL_INPUT`
Input metamodel.
`static final String`
`METAMODEL_OUTPUT`
Output metamodel.
`static final String`
`MODEL_HANDLER`
Model handler.
`static final String`
`MODEL_INPUT`
Input model.
`static final String`
`MODEL_OUTPUT`
Output model.
`static final String`
`MODEL_TYPE`
Model type.
`static final String`
`NULL_PARAMETER`
Null parameter.
`static final String`
`OPTION_ATL_FILE_PATH`
The ATL file.
`static final String`
`OPTION_MODEL_HANDLER`
ModelHandler option.
`static final String`
`OPTIONS`
Superimposed modules.
`static final String`
`ORDERED_INPUT`
Ordered input models list.
`static final String`
`ORDERED_OUTPUT`
Ordered output models list.
`static final String`
`OUTPUT`
Output models.
`static final String`
`PATH`
Path map.
`static final String`
`PORT`
Debug port.
`static final String`
`REGULAR_VM_NAME`
Regular VM name, for launch compatibility adaptations.
`static final String`
`STOP_IN_MAIN`
Stop in main option (for debug mode).
`static final String`
`SUPERIMPOSE`
Superimposed modules.

## Field Details

### DEFAULT_COMPILER_VERSION

static final String DEFAULT_COMPILER_VERSION
The ATL default compiler version.

See Also:
  - Constant Field Values

### LAUNCH_CONFIGURATION_TYPE

static final String LAUNCH_CONFIGURATION_TYPE
ATL launch type.

See Also:
  - Constant Field Values

### REGULAR_VM_NAME

static final String REGULAR_VM_NAME
Regular VM name, for launch compatibility adaptations.

See Also:
  - Constant Field Values

### EMF_VM_NAME

static final String EMF_VM_NAME
EMF VM name, for default values.

See Also:
  - Constant Field Values

### EMFTVM_NAME

static final String EMFTVM_NAME
EMF VM name, for default values.

See Also:
  - Constant Field Values

### DEFAULT_MODEL_HANDLER_NAME

static final String DEFAULT_MODEL_HANDLER_NAME
Default model handler name.

See Also:
  - Constant Field Values

### OPTION_MODEL_HANDLER

static final String OPTION_MODEL_HANDLER
ModelHandler option.

See Also:
  - Constant Field Values

### ATL_VM

static final String ATL_VM
ATL VM name.

See Also:
  - Constant Field Values

### ATL_FILE_NAME

static final String ATL_FILE_NAME
ATL File Name.

See Also:
  - Constant Field Values

### OUTPUT

static final String OUTPUT
Output models.

See Also:
  - Constant Field Values

### ORDERED_OUTPUT

static final String ORDERED_OUTPUT
Ordered output models list.

See Also:
  - Constant Field Values

### INPUT

static final String INPUT
Input models.

See Also:
  - Constant Field Values

### ORDERED_INPUT

static final String ORDERED_INPUT
Ordered input models list.

See Also:
  - Constant Field Values

### NULL_PARAMETER

static final String NULL_PARAMETER
Null parameter.

See Also:
  - Constant Field Values

### PATH

static final String PATH
Path map.

See Also:
  - Constant Field Values

### HOST

static final String HOST
Debug host.

See Also:
  - Constant Field Values

### PORT

static final String PORT
Debug port.

See Also:
  - Constant Field Values

### DEFAULT_PORT

static final int DEFAULT_PORT
Default debug port.

See Also:
  - Constant Field Values

### LIBS

static final String LIBS
Libraries map.

See Also:
  - Constant Field Values

### IS_REFINING

static final String IS_REFINING
Output model.

See Also:
  - Constant Field Values

### ATL_COMPILER

static final String ATL_COMPILER
ATL Compiler.

See Also:
  - Constant Field Values

### MODEL_OUTPUT

static final String MODEL_OUTPUT
Output model.

See Also:
  - Constant Field Values

### MODEL_INPUT

static final String MODEL_INPUT
Input model.

See Also:
  - Constant Field Values

### METAMODEL_OUTPUT

static final String METAMODEL_OUTPUT
Output metamodel.

See Also:
  - Constant Field Values

### METAMODEL_INPUT

static final String METAMODEL_INPUT
Input metamodel.

See Also:
  - Constant Field Values

### SUPERIMPOSE

static final String SUPERIMPOSE
Superimposed modules.

See Also:
  - Constant Field Values

### STOP_IN_MAIN

static final String STOP_IN_MAIN
Stop in main option (for debug mode).

See Also:
  - Constant Field Values

### OPTIONS

static final String OPTIONS
Superimposed modules.

See Also:
  - Constant Field Values

### MODEL_TYPE

static final String MODEL_TYPE
Model type.

See Also:
  - Constant Field Values

### MODEL_HANDLER

static final String MODEL_HANDLER
Model handler.

See Also:
  - Constant Field Values

### ATL_ICON_PATH

static final String ATL_ICON_PATH
ATL icon path.

See Also:
  - Constant Field Values

### DELETE_ICON_PATH

static final String DELETE_ICON_PATH
Delete icon path.

See Also:
  - Constant Field Values

### ATL_EXTENSIONS

static final String[] ATL_EXTENSIONS
ATL extensions.

### OPTION_ATL_FILE_PATH

static final String OPTION_ATL_FILE_PATH
The ATL file.

See Also:
  - Constant Field Values